import os

class Config:
    SECRET_KEY = os.environ.get('SECRET_KEY', 'D8pceNZ8q%YR7^7F&9wAC2')
    SQLALCHEMY_DATABASE_URI = os.environ.get('DATABASE_URL', 'sqlite:///shopping.db')
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    SYSTEM_PASSWORD = os.environ.get('SYSTEM_PASSWORD', 'admin')
    DEFAULT_ADMIN_USERNAME = os.environ.get('DEFAULT_ADMIN_USERNAME', 'admin')
    DEFAULT_ADMIN_PASSWORD = os.environ.get('DEFAULT_ADMIN_PASSWORD', 'admin123')
    UPLOAD_FOLDER = os.environ.get('UPLOAD_FOLDER', 'uploads')
    AUTHORIZED_COOKIE_VALUE = os.environ.get('AUTHORIZED_COOKIE_VALUE', 'cookievalue')